automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

testsuite: minor w32 fixes.


From: Ralf Wildenhues
Subject: testsuite: minor w32 fixes.
Date: Sun, 19 Apr 2009 18:09:45 +0200
User-agent: Mutt/1.5.18 (2008-05-17)

A complete testsuite run on Cygwin (thanks Bruno!) uncovered a couple
more w32-related test failures.  The parallel-tests3.test actually
needed another $sleep, so I figured we might as well wait until the
test log summary has been written, and then just a bit longer so that
'make' has enough time to also exit.

Pushed to master.

Cheers,
Ralf

    testsuite: minor w32 fixes.
    
    * tests/depend5.test: Don't fail if the system or file system
    cannot handle weird characters, instead just try a few.
    * tests/parallel-tests3.test: Really wait until the serial test
    has finished, before letting the cleanup trap do its work.
    Report by Bruno Haible.

diff --git a/tests/depend5.test b/tests/depend5.test
index 5644933..a34e765 100755
--- a/tests/depend5.test
+++ b/tests/depend5.test
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 2008  Free Software Foundation, Inc.
+# Copyright (C) 2008, 2009  Free Software Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -51,15 +51,22 @@ fi
 # For the fun of it, we should also cope with makefile
 # names that contain weird characters, with Autoconf 2.62
 # and newer.
-name='weird  name with $ `#() &! characters"'
-cp Makefile.in "$name.in"
+# Pick the first name that the file system will accept.
+for name in \
+  'weird  name with $ `#() &! characters"' \
+  'weird  name with $ `#()  characters"' \
+  'weird  name with  characters'
+do
+  cp Makefile.in "$name.in" && break || :
+done
 
 for arg in Makefile \
   --file=Makefile \
   "--file=$name"
 do
   rm -rf .deps _deps
-  ./config.status "$arg" depfiles >stdout 2>stderr
+  ./config.status "$arg" depfiles >stdout 2>stderr ||
+    { cat stdout; cat stderr >&2; Exit 1; }
   cat stdout
   cat stderr >&2
   grep '[Nn]o such file' stderr && Exit 1
diff --git a/tests/parallel-tests3.test b/tests/parallel-tests3.test
index 776000e..8d3cda0 100755
--- a/tests/parallel-tests3.test
+++ b/tests/parallel-tests3.test
@@ -77,8 +77,9 @@ test `grep -c PASS parallel/stdout` -eq 8
 
 # Wait long enough so that there are no open files any more
 # when the post-test cleanup runs.
-$sleep
-$sleep
-$sleep
+while test ! -f serial/test-suite.log
+do
+  $sleep
+done
 $sleep
 :




reply via email to

[Prev in Thread] Current Thread [Next in Thread]